Bulk create facts
curl --request POST \
--url https://api.avidoai.com/v0/facts/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"facts": [
{
"statement": "The refund policy allows returns within 30 days of purchase.",
"scope": "TOPIC",
"status": "ACTIVE",
"sourceQuote": "Returns are accepted within 30 days.",
"sourceDocumentId": "123e4567-e89b-12d3-a456-426614174000",
"quickstartId": "123e4567-e89b-12d3-a456-426614174000",
"generatedBy": "MANUAL",
"topicIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
}
'import requests
url = "https://api.avidoai.com/v0/facts/bulk"
payload = { "facts": [
{
"statement": "The refund policy allows returns within 30 days of purchase.",
"scope": "TOPIC",
"status": "ACTIVE",
"sourceQuote": "Returns are accepted within 30 days.",
"sourceDocumentId": "123e4567-e89b-12d3-a456-426614174000",
"quickstartId": "123e4567-e89b-12d3-a456-426614174000",
"generatedBy": "MANUAL",
"topicIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
] }
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
facts: [
{
statement: 'The refund policy allows returns within 30 days of purchase.',
scope: 'TOPIC',
status: 'ACTIVE',
sourceQuote: 'Returns are accepted within 30 days.',
sourceDocumentId: '123e4567-e89b-12d3-a456-426614174000',
quickstartId: '123e4567-e89b-12d3-a456-426614174000',
generatedBy: 'MANUAL',
topicIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
]
})
};
fetch('https://api.avidoai.com/v0/facts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 5
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Facts
Bulk create facts
Creates multiple facts in a single request.
POST
/
v0
/
facts
/
bulk
Bulk create facts
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for bulk creating facts
Array of facts to create
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Successfully created facts
Response for bulk fact creation
Number of facts created
Required range:
0 <= x <= 9007199254740991Example:
5
⌘I